Subject: Re: NAPI of many interfaces with just an interruption source

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 22 Feb 2009 08:19:22 +1100

> Ben has just done exactly the same thing for his driver so he
> can tell you all about it and how to use his generic function :)

Right, you can look how it's done in ibm_newemac. There's basically
a "dummy" netdev which is created to handle the NAPI on behalf of
the real ones. The new core function init_dummy_netdev() will set
up that dummy netdev for you.

If you look at how I do it in emac, the actual ports "register"
internally with that "mal" module so that I can "poll" them when
the main NAPI is polled.

Cheers,
Ben.